﻿
LWOptionsGeneral =
{
	type = 'group',
	name = "Liquid-Wealth: General Settings",
	cmdInline = false,
	args = 
		{
			generalheaderDes = 
			{
				order = 1,
				type = "description",
				name = "Please change your setting below",
				cmdHidden = true,
			},
			headerDisplay = 
			{
				order = 2,
				type = "header",
				name = "Tooltip Display Options",
				cmdHidden = true,
			},
			simplePlayerBags = 
			{
				type = 'toggle',
				name = "Simple Details (Player Bags |TInterface\\Icons\\INV_Misc_Bag_08:25|t)",
				desc = "Enable this to display a simpler view of the Players Bags.",
				order = 3,
				width = "full",
				get = function() return Liquid_Wealth.db.profile.noBagInfoTip end,
				set = function(_,v)	Liquid_Wealth.db.profile.noBagInfoTip = v	end,
			},
			simplePlayerBank = 
			{
				type = 'toggle',
				name = "Simple Details (Player Bank |TInterface\\Icons\\INV_Misc_Bag_08:25|t)",
				desc = "Enable this to display a simpler view of the Players Bank.",
				order = 4,
				width = "full",
				get = function() return Liquid_Wealth.db.profile.noBankInfoTip end,
				set = function(_,v)	Liquid_Wealth.db.profile.noBankInfoTip = v end,
			},
			showHintTip = 
			{
				type = 'toggle',
				name = "Enable Hint Tips",
				desc = "Enable this to display a a tooltip below, to show common tasks or functions.",
				order = 5,
				width = "full",
				get = function() return Liquid_Wealth.db.profile.displayHints end,
				set = function(_,v)	Liquid_Wealth.db.profile.displayHints = v end,
			},
			headerPriceOptions = 
			{
				order = 6,
				type = "header",
				name = "Vender & Auction Addon Settings",
				cmdHidden = true,
			},
			auctionselect = 
			{
				order = 7, type = "select",
				name = "Auction Addon List",
				desc = "Select Auction Pricing Addon.",
				disabled = function() 
				_,noindex=Liquid_Wealth:listLoadedAuctions() 
				return noindex
				end,
				get = function() return Liquid_Wealth.db.profile.selectedAuctionAddon end,
				set = function(_,v) Liquid_Wealth.db.profile.selectedAuctionAddon = v end,
				values = function() return Liquid_Wealth:listLoadedAuctions() end,
			},
			generalheader2 = 
			{
				order = 8,
				type = "header",
				name = "Force Scanning Options",
				cmdHidden = true,
			},
			forceLocalScan = 
			{
				type = "execute",
				name = "Force Player Bags Scan",
				order = 9,
				desc = "This command will force a scan of the players bags.",			
				func = function() Liquid_Wealth:forceScan(1) end,
			},
		},
}

LWOptionsSkins ={
	name = "Liquid-Wealth: ToolTip Skinning",
	type = 'group',
	desc = "Options for Skinning The ToolTip",
	args = 
		{
			generalheader = 
			{
				order = 1,
				type = "header",
				name = "ToolTip Skinning Settings",
				cmdHidden = true,
			},
			TicTacSkinning = 
			{
				type = 'toggle',
				name = "Enable TicTac Skinning",
				desc = "Enables the skinning of the tooltip using TicTac for Skinning. Note: If you want to clear the skin you have to disable this, and then Reload UI",
				order = 2,
				disabled = function() return not (_G.TipTac and _G.TipTac.AddModifiedTip) end,
				get = function() return Liquid_Wealth.db.profile.TipTacSkin end,
				set = function(_,v)	Liquid_Wealth.db.profile.TipTacSkin = v	end,
			},
		},
}

LWOptionsAdmin ={
	name = "Liquid-Wealth: Administration Debug",
	type = 'group',
	desc = "Settings to allow addon debugging",
	args = 
		{
			generalheader = 
			{
				order = 1,
				type = "header",
				name = "Administration Settings",
				cmdHidden = true,
			},
			lwConfigVerbs = 
			{
				order = 2,
				type = "description",
				name = "Liquid-Wealth Version: "..GetAddOnMetadata("Liquid_Wealth", "Version").."\nLiquid-Wealth (Final) Database Version: "..currentDBVersion.."\nLiquid-Wealth Database Version: ",
				fontSize = "medium",
				cmdHidden = true,
			},
			resetDatabases = 
			{
				type = 'execute',
				name = "Clear Databases",
				desc = "This will clear all databases with in Liquid-Wealth. Use this if you are having database problems, or if you have old databases.",
				order = 3,
				func = function()
					Liquid_Wealth:resetMasterDatabases()
				end,
			},
		},
}

CommandLineOptionsRTC = {
	name = "Remote Toon Config",
	type = "group",
	args = {
	confdesc = {
			order = 1,
			type = "description",
			name = "Please change your setting below",
			cmdHidden = true,
		},
    generalheader = {
		 order = 2,
		 type = "header",
		 name = "Vender & Auction Addon Settings",
		},
	nulloption = {
			order = 3,
			type = "description",
			name = " ",
			cmdHidden = true,
		},
    RanTest = {
			type = "execute",
			name = "Ran Test",
			order = 9,
			desc = "Ran Text.",
			func = function() 
            serializedData = Liquid_Wealth:Serialize("NPS")
            Liquid_Wealth:SendCommMessage("LMAC", serializedData , "WHISPER", "wildorebar") end,
		},
	}
}
    

function Liquid_Wealth:listLoadedAuctions()
    local table={}
	local noIndex = true
	table["--None--"] = "--None--"
        for _,addon in pairs(Liquid_Wealth.AuctioneerAddons) do
           local _,isloaded=IsAddOnLoaded(addon.name);
            if (isloaded) then --Check To See If Addon InList Is Enabled
                table[addon.name] = addon.name
				noIndex = false
            end
        end
	return table, noIndex
end

function Liquid_Wealth:LoadOptionsTables()
	local AceConfig=LibStub("AceConfig-3.0")
	AceConfig:RegisterOptionsTable("LiquidWealth", LWOptionsGeneral, {"lw", "liquidwealth"})
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("LiquidWealth Skin",LWOptionsSkins)
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("LiquidWealth Admin",LWOptionsAdmin)
	
	
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("LiquidWealth","LiquidWealth")
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("LiquidWealth Skin", "ToolTip Skinning","LiquidWealth")
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("LiquidWealth Admin", "Debug","LiquidWealth")
	LibStub("LibAboutPanel").new("LiquidWealth", "Liquid_Wealth")
end